package com.nifty.cloud.ncs.service;

import java.util.Date;

import com.nifty.cloud.ncs.NiftyCloudServiceException;

/**
 * CopyObjectの結果保持用クラスです。
 */
public class CopyObjectResult
{
	private String eTag;
	private Date lastModified;
	private NiftyCloudServiceException exception;

	/**
	 * ETagを取得します。
	 *
	 * @return ETag
	 */
	public String getETag()
	{
		return (eTag);
	}

	/**
	 * ETagを設定します。
	 *
	 * @param eTag
	 *  ETag
	 */
	public void setETag(String eTag)
	{
		this.eTag = eTag;
	}

	/**
	 * 最終更新日時を取得します。
	 *
	 * @return 最終更新日時
	 */
	public Date getLastModified()
	{
		return (lastModified);
	}

	/**
	 * 最終更新日時を設定します。
	 *
	 * @param lastModified
	 *  最終更新日時
	 */
	public void setLastModified(Date lastModified)
	{
		this.lastModified = lastModified;
	}

	/**
	 * 例外を取得します。
	 *
	 * @return 発生した例外
	 */
	public NiftyCloudServiceException getException()
	{
		return (exception);
	}

	/**
	 * 例外を設定します。
	 *
	 * @param exception
	 *  発生した例外
	 */
	public void setException(NiftyCloudServiceException exception)
	{
		this.exception = exception;
	}

}
